public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-i18n/pology/
Date: Tue, 28 Jan 2020 22:50:13 +0000 (UTC)	[thread overview]
Message-ID: <1580251798.e91feac5e44d47f503542a10a44779c31f0b2071.asturm@gentoo> (raw)

commit:     e91feac5e44d47f503542a10a44779c31f0b2071
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 28 22:47:37 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Jan 28 22:49:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e91feac5

app-i18n/pology: Sync with 9999, disable epydoc

Closes: https://bugs.gentoo.org/707036
Package-Manager: Portage-2.3.86, Repoman-2.3.20
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 app-i18n/pology/pology-0.12-r1.ebuild | 67 +++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

diff --git a/app-i18n/pology/pology-0.12-r1.ebuild b/app-i18n/pology/pology-0.12-r1.ebuild
new file mode 100644
index 00000000000..da1015d3f26
--- /dev/null
+++ b/app-i18n/pology/pology-0.12-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+inherit bash-completion-r1 cmake kde.org python-single-r1
+
+DESCRIPTION="A framework for custom processing of PO files"
+HOMEPAGE="http://pology.nedohodnik.net"
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+	SRC_URI="http://pology.nedohodnik.net/release/${P}.tar.bz2"
+	KEYWORDS="amd64 x86"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND="
+	app-text/docbook-xsl-stylesheets
+	app-text/docbook-xml-dtd:4.5
+"
+RDEPEND="${PYTHON_DEPS}
+	dev-libs/libxml2
+	dev-libs/libxslt
+	dev-python/dbus-python[${PYTHON_USEDEP}]
+	sys-devel/gettext
+"
+DEPEND="${RDEPEND}"
+
+# Magic on python parsing makes it impossible to make it parallel safe
+MAKEOPTS+=" -j1"
+
+src_prepare() {
+	cmake_src_prepare
+	sed -e "/DOC_INSTALL_DIR/s/^/#DONT/" -i CMakeLists.txt || die
+	python_fix_shebang .
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DDOC_INSTALL_DIR="${EPREFIX}"/usr/share/doc/${PF}
+		-DCMAKE_DISABLE_FIND_PACKAGE_Epydoc=ON
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+	python_optimize
+
+	dosym ../../../pology/syntax/kate/synder.xml /usr/share/apps/katepart/syntax/synder.xml
+
+	newbashcomp "${ED}"/usr/share/pology/completion/bash/pology posieve
+	bashcomp_alias {posieve,poediff}{,.py}
+
+	elog "You should also consider following packages to install:"
+	elog "    app-text/aspell"
+	elog "    app-text/hunspell"
+	elog "    dev-vcs/git"
+	elog "    dev-vcs/subversion"
+	elog "    sci-misc/apertium"
+}


             reply	other threads:[~2020-01-28 22:50 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-01-28 22:50 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-09-19 20:18 [gentoo-commits] repo/gentoo:master commit in: app-i18n/pology/ Andreas Sturmlechner
2020-05-03 10:55 Andreas Sturmlechner
2020-02-09 16:11 Michał Górny
2020-01-28 22:50 Andreas Sturmlechner
2020-01-28 22:50 Andreas Sturmlechner
2018-06-07 10:48 Andreas Sturmlechner
2018-06-07 10:13 Agostino Sarubbo
2018-06-03 14:44 Andreas Sturmlechner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1580251798.e91feac5e44d47f503542a10a44779c31f0b2071.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox